> ## Documentation Index
> Fetch the complete documentation index at: https://mitchsorg.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Income Source

> This endpoint gets the details of the specified income source.

Endpoint: https://cashboard-f5x2.onrender.com/income/:id

Query Parameter: User UUID

Path Parameter: Income ID

The response body is a JSON object that includes the specified income source. The individual income object contains:

- the income source (string) - the income's description
- the payDate (date) - the date the income was paid
- the category (string) - the category of the income
- the account's id (string) - the account that was credited
- the amount (number) - the amount made from the income source
- _id (string) - the unique identifier for the income



## OpenAPI

````yaml get /income/{id}
openapi: 3.0.0
info:
  title: Cashboard API
  description: >-
    Cashboard is a personal finance tool that helps users keep track of their
    income, expenses, savings and investments.


    API URL: `https://cashboard-f5x2.onrender.com`


    The Cashboard API has endpoints for:


    - Users

    - Accounts

    - Income

    - Expenses

    - Savings

    - Investments
  version: 1.0.0
servers:
  - url: https://cashboard-f5x2.onrender.com
security: []
tags:
  - name: User
    description: |-
      Cashboard uses the users endpoint to:

      - create a new user
      - get a user details
      - update user details
          

      The endpoint URL: `https://cashboard-f5x2.onrender.com/user`
  - name: Account
    description: |-
      These endpoints are used to:

      - create account
      - get all user's accounts
      - get account
      - update accounts
      - delete accounts.
          

      The endpoint URL is: `https://cashboard-f5x2.onrender.com/account`
  - name: Income
    description: |-
      These endpoints are used to:

      - create an income source
      - get all income source
      - get an income source
      - update income source
      - delete income source
          

      The endpoint URL: `https://cashboard-f5x2.onrender.com/income`
  - name: Expenses
    description: |-
      These endpoints are used to:

      - create an expense
      - get all expenses
      - get an expense
      - update an expense
      - delete an expense
          

      The endpoint URL is: `https://cashboard-f5x2.onrender.com/expenses`
  - name: Savings
    description: |-
      These endpoints are used to:

      - create a saving
      - get all savings
      - get a saving
      - update a saving
      - delete a saving
          

      The endpoint URL: `https://cashboard-f5x2.onrender.com/savings`
  - name: Investments
    description: |-
      These endpoints are used to:

      - create an investment
          
      - get all investments
          
      - get an investment
          
      - update an investment
          
      - delete an investment
          

      The endpoint URL: `https://cashboard-f5x2.onrender.com/investments`
paths:
  /income/{id}:
    get:
      tags:
        - Income
      summary: Income Source
      description: >-
        This endpoint gets the details of the specified income source.


        Endpoint: https://cashboard-f5x2.onrender.com/income/:id


        Query Parameter: User UUID


        Path Parameter: Income ID


        The response body is a JSON object that includes the specified income
        source. The individual income object contains:


        - the income source (string) - the income's description

        - the payDate (date) - the date the income was paid

        - the category (string) - the category of the income

        - the account's id (string) - the account that was credited

        - the amount (number) - the amount made from the income source

        - _id (string) - the unique identifier for the income
      parameters:
        - name: user
          in: query
          schema:
            type: string
          description: required
          example: '{{uuid}}'
        - name: id
          in: path
          schema:
            type: string
          required: true
          description: required
          example: 662fbfcaac827e370c18d667j
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Mon, 29 Apr 2024 15:59:26 GMT
            Content-Type:
              schema:
                type: string
                example: application/json; charset=utf-8
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Connection:
              schema:
                type: string
                example: keep-alive
            CF-Ray:
              schema:
                type: string
                example: 87c07fcd3f130601-IAD
            CF-Cache-Status:
              schema:
                type: string
                example: DYNAMIC
            ETag:
              schema:
                type: string
                example: W/"c4-B30tc/s7FSdC3z3yw2JSkAk746I"
            Vary:
              schema:
                type: string
                example: Origin, Accept-Encoding
            rndr-id:
              schema:
                type: string
                example: d2b2ebfc-53af-4ee7
            x-powered-by:
              schema:
                type: string
                example: Express
            x-render-origin-server:
              schema:
                type: string
                example: Render
            Server:
              schema:
                type: string
                example: cloudflare
            Content-Encoding:
              schema:
                type: string
                example: br
            alt-svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
              examples:
                example-0:
                  summary: Success
                  value:
                    income:
                      source: 'Side Hustle: Selling Shoes'
                      payDate: '2024-11-02T00:00:00.000Z'
                      account: 662fbf9eac827e370c18d4b9
                      category: side hustle
                      amount: 7000
                      _id: 662fbfcaac827e370c18d4bf
                example-1:
                  summary: Error
                  value:
                    income: null

````